On my Debian 64 Bit Test System
1. I was able to upgrade from 5.06 --> 5.10 without any obvious problems

I removed the dependency on libperl 5.85.8 and I installed libperl5.88 for Debian repositories

I also did --platform-override and followed some of the steps on the Debian AMD64 Zimbra install how to